package com.hzya.frame.plugin.lets.plugin.transfer;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.plugin.adjust.AdjustInPluginInitializer;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class TransferTest {
    @Autowired
    private TransferPluginInitializer transferPluginInitializer;

    @Autowired
    private TransferInPluginInitializer transferInPluginInitializer;
    @Autowired
    private AdjustInPluginInitializer adjustInPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////调拨订单
    @Test
    public void t00(){
        transferPluginInitializer.start();
    }
    @Test
    public void t01(){
        transferPluginInitializer.start("LETS-TH2024080800000002");
    }



    ////////////////////////////////////////////////////////////////////////////////////调拨出库单

    ////////////////////////////////////////////////////////////////////////////////////调拨入库单
    @Test
    public void t20(){
        transferInPluginInitializer.start();
    }
    @Test
    public void t21(){
        transferInPluginInitializer.start("LETS-TH2024080800000003");
    }




    ////////////////////////////////////////////////////////////////////////////////////调整入库单
    @Test
    public void t30(){
        adjustInPluginInitializer.start();
    }
    @Test
    public void t31(){
        adjustInPluginInitializer.start("LETS-AH2024081300000003");
    }
    @Test
    public void t32(){
        adjustInPluginInitializer.start("2024-08-14","2024-08-14");
    }

    ////////////////////////////////////////////////////////////////////////////////////调整出库单


}
